package com.steering.mes.zgmil.entity;

import java.io.Serializable;

/**
 * 数据库表MIL_FURNACES_RESLUT所对应的实体类（生成工具：代码生成器3.0）
 * @author PC-20160918TFRG   date 2016-12-27
 */
public class MilFurnacesReslutEntity implements Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	/**
     * 生产批号
     */
    private String lotNo = "";
    /**
     * 熔炼炉号
     */
    private String stoveNo = "";
    /**
     * 判定炉号
     */
    private String judgeStoveNo = "";
    /**
     * 外径（实际）
     */
    private String diameter = "";
    /**
     * 壁厚（实际）
     */
    private String thickness = "";
    /**
     * 长度（实际）
     */
    private String length = "";
    /**
     * 厂线代码
     */
    private String plineCode = "";
    /**
     * 待处理支数
     */
    private String offlineNum = "";
    /**
     * 可操作支数
     */
    private String colNum = "";
    /**
     * 组炉支数
     */
    private String groupNum = "";
    /**
     * 是否是组炉批标识(0-未组批，1-组批中，2-组批完成)
     */
    private String zpFlag = "";
    /**
     * 状态（0-下线 1-处理完成）
     */
    private String status = "";
    /**
     * 操作时间
     */
    private String colTime = "";
    /**
     * 备注
     */
    private String remark = "";
    /**
     * 操作人
     */
    private String colUser = "";
    /**
     * 操作班次
     */
    private String colShift = "";
    /**
     * 操作班组
     */
    private String colGroup = "";
    /**
     * 重量
     */
    private String zpHeight = "";
    /**
     * 复检支数
     */
    private String recheckNum = "";
    /**
     * 品名描述
     */
    private String producname = "";
    /**
     * 钢级(牌号)代码
     */
    private String steelcode = "";
    /**
     * 钢级(牌号)名称
     */
    private String steelname = "";
    /**
     * 钢种代码
     */
    private String gradecode = "";
    /**
     * 钢种名称
     */
    private String gradename = "";
    /**
     * 产品规格代码
     */
    private String specCode = "";
    /**
     * 产品规格描述
     */
    private String specName = "";
    /**
     * 扣型代码
     */
    private String modelCode = "";
    /**
     * 扣型描述
     */
    private String modelDesc = "";
    /**
     * 标准代码
     */
    private String stdCode = "";
    /**
     * 标准名称
     */
    private String stdName = "";
    /**
     * 标准类别代码
     */
    private String stdStyle = "";
    /**
     * 标准类别描述(PSL1....)
     */
    private String stdStyleDesc = "";
    /**
     * 工序合同号
     */
    private String contractNo = "";
    /**
     * 品名代码
     */
    private String produccode = "";
    /**
     * 长度范围
     */
    private String actLenRange = "";
    /**
     * 去向(A:成品 ,B、C:在制品)
     */
    private String target = "";
    /**
     * 轧管订单编号
     */
    private String proPlanId = "";
    /**
     * 工序排产序号
     */
    private String gxPlanNo = "";

    /**
     * 生产批号
     * @return value
     */
    public String getLotNo() {
        return lotNo;
    }

    /**
     * 生产批号
     * @param lotNo value
     */
    public void setLotNo(String lotNo) {
        this.lotNo = lotNo;
    }

    /**
     * 熔炼炉号
     * @return value
     */
    public String getStoveNo() {
        return stoveNo;
    }

    /**
     * 熔炼炉号
     * @param stoveNo value
     */
    public void setStoveNo(String stoveNo) {
        this.stoveNo = stoveNo;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 外径（实际）
     * @return value
     */
    public String getDiameter() {
        return diameter;
    }

    /**
     * 外径（实际）
     * @param diameter value
     */
    public void setDiameter(String diameter) {
        this.diameter = diameter;
    }

    /**
     * 壁厚（实际）
     * @return value
     */
    public String getThickness() {
        return thickness;
    }

    /**
     * 壁厚（实际）
     * @param thickness value
     */
    public void setThickness(String thickness) {
        this.thickness = thickness;
    }

    /**
     * 长度（实际）
     * @return value
     */
    public String getLength() {
        return length;
    }

    /**
     * 长度（实际）
     * @param length value
     */
    public void setLength(String length) {
        this.length = length;
    }

    /**
     * 厂线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 厂线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 待处理支数
     * @return value
     */
    public String getOfflineNum() {
        return offlineNum;
    }

    /**
     * 待处理支数
     * @param offlineNum value
     */
    public void setOfflineNum(String offlineNum) {
        this.offlineNum = offlineNum;
    }

    /**
     * 组炉支数
     * @return value
     */
    public String getGroupNum() {
        return groupNum;
    }

    /**
     * 组炉支数
     * @param groupNum value
     */
    public void setGroupNum(String groupNum) {
        this.groupNum = groupNum;
    }

    /**
     * 是否是组炉批标识(0-未组批，1-组批中，2-组批完成)
     * @return value
     */
    public String getZpFlag() {
        return zpFlag;
    }

    /**
     * 是否是组炉批标识(0-未组批，1-组批中，2-组批完成)
     * @param zpFlag value
     */
    public void setZpFlag(String zpFlag) {
        this.zpFlag = zpFlag;
    }

    /**
     * 状态（0-下线 1-处理完成）
     * @return value
     */
    public String getStatus() {
        return status;
    }

    /**
     * 状态（0-下线 1-处理完成）
     * @param status value
     */
    public void setStatus(String status) {
        this.status = status;
    }

    /**
     * 操作时间
     * @return value
     */
    public String getColTime() {
        return colTime;
    }

    /**
     * 操作时间
     * @param colTime value
     */
    public void setColTime(String colTime) {
        this.colTime = colTime;
    }

    /**
     * 备注
     * @return value
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 备注
     * @param remark value
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * 操作人
     * @return value
     */
    public String getColUser() {
        return colUser;
    }

    /**
     * 操作人
     * @param colUser value
     */
    public void setColUser(String colUser) {
        this.colUser = colUser;
    }

    /**
     * 操作班次
     * @return value
     */
    public String getColShift() {
        return colShift;
    }

    /**
     * 操作班次
     * @param colShift value
     */
    public void setColShift(String colShift) {
        this.colShift = colShift;
    }

    /**
     * 操作班组
     * @return value
     */
    public String getColGroup() {
        return colGroup;
    }

    /**
     * 操作班组
     * @param colGroup value
     */
    public void setColGroup(String colGroup) {
        this.colGroup = colGroup;
    }

    /**
     * 重量
     * @return value
     */
    public String getZpHeight() {
        return zpHeight;
    }

    /**
     * 重量
     * @param zpHeight value
     */
    public void setZpHeight(String zpHeight) {
        this.zpHeight = zpHeight;
    }

    /**
     * 复检支数
     * @return value
     */
    public String getRecheckNum() {
        return recheckNum;
    }

    /**
     * 复检支数
     * @param recheckNum value
     */
    public void setRecheckNum(String recheckNum) {
        this.recheckNum = recheckNum;
    }

    /**
     * 品名描述
     * @return value
     */
    public String getProducname() {
        return producname;
    }

    /**
     * 品名描述
     * @param producname value
     */
    public void setProducname(String producname) {
        this.producname = producname;
    }

    /**
     * 钢级(牌号)代码
     * @return value
     */
    public String getSteelcode() {
        return steelcode;
    }

    /**
     * 钢级(牌号)代码
     * @param steelcode value
     */
    public void setSteelcode(String steelcode) {
        this.steelcode = steelcode;
    }

    /**
     * 钢级(牌号)名称
     * @return value
     */
    public String getSteelname() {
        return steelname;
    }

    /**
     * 钢级(牌号)名称
     * @param steelname value
     */
    public void setSteelname(String steelname) {
        this.steelname = steelname;
    }

    /**
     * 钢种代码
     * @return value
     */
    public String getGradecode() {
        return gradecode;
    }

    /**
     * 钢种代码
     * @param gradecode value
     */
    public void setGradecode(String gradecode) {
        this.gradecode = gradecode;
    }

    /**
     * 钢种名称
     * @return value
     */
    public String getGradename() {
        return gradename;
    }

    /**
     * 钢种名称
     * @param gradename value
     */
    public void setGradename(String gradename) {
        this.gradename = gradename;
    }

    /**
     * 产品规格代码
     * @return value
     */
    public String getSpecCode() {
        return specCode;
    }

    /**
     * 产品规格代码
     * @param specCode value
     */
    public void setSpecCode(String specCode) {
        this.specCode = specCode;
    }

    /**
     * 产品规格描述
     * @return value
     */
    public String getSpecName() {
        return specName;
    }

    /**
     * 产品规格描述
     * @param specName value
     */
    public void setSpecName(String specName) {
        this.specName = specName;
    }

    /**
     * 扣型代码
     * @return value
     */
    public String getModelCode() {
        return modelCode;
    }

    /**
     * 扣型代码
     * @param modelCode value
     */
    public void setModelCode(String modelCode) {
        this.modelCode = modelCode;
    }

    /**
     * 扣型描述
     * @return value
     */
    public String getModelDesc() {
        return modelDesc;
    }

    /**
     * 扣型描述
     * @param modelDesc value
     */
    public void setModelDesc(String modelDesc) {
        this.modelDesc = modelDesc;
    }

    /**
     * 标准代码
     * @return value
     */
    public String getStdCode() {
        return stdCode;
    }

    /**
     * 标准代码
     * @param stdCode value
     */
    public void setStdCode(String stdCode) {
        this.stdCode = stdCode;
    }

    /**
     * 标准名称
     * @return value
     */
    public String getStdName() {
        return stdName;
    }

    /**
     * 标准名称
     * @param stdName value
     */
    public void setStdName(String stdName) {
        this.stdName = stdName;
    }

    /**
     * 标准类别代码
     * @return value
     */
    public String getStdStyle() {
        return stdStyle;
    }

    /**
     * 标准类别代码
     * @param stdStyle value
     */
    public void setStdStyle(String stdStyle) {
        this.stdStyle = stdStyle;
    }

    /**
     * 标准类别描述(PSL1....)
     * @return value
     */
    public String getStdStyleDesc() {
        return stdStyleDesc;
    }

    /**
     * 标准类别描述(PSL1....)
     * @param stdStyleDesc value
     */
    public void setStdStyleDesc(String stdStyleDesc) {
        this.stdStyleDesc = stdStyleDesc;
    }

    /**
     * 工序合同号
     * @return value
     */
    public String getContractNo() {
        return contractNo;
    }

    /**
     * 工序合同号
     * @param contractNo value
     */
    public void setContractNo(String contractNo) {
        this.contractNo = contractNo;
    }

    /**
     * 品名代码
     * @return value
     */
    public String getProduccode() {
        return produccode;
    }

    /**
     * 品名代码
     * @param produccode value
     */
    public void setProduccode(String produccode) {
        this.produccode = produccode;
    }

    /**
     * 长度范围
     * @return value
     */
    public String getActLenRange() {
        return actLenRange;
    }

    /**
     * 长度范围
     * @param actLenRange value
     */
    public void setActLenRange(String actLenRange) {
        this.actLenRange = actLenRange;
    }

    /**
     * 去向(A:成品 ,B、C:在制品)
     * @return value
     */
    public String getTarget() {
        return target;
    }

	/**
     * 去向(A:成品 ,B、C:在制品)
     * @param target value
     */
    public void setTarget(String target) {
        this.target = target;
    }
    /**
     * 轧管订单编号
     * @param target value
     */
    public String getProPlanId() {
		return proPlanId;
	}
    /**
     * 轧管订单编号
     * @param target value
     */
	public void setProPlanId(String proPlanId) {
		this.proPlanId = proPlanId;
	}
	/**
     * 工序排产序号
     * @param target value
     */
	public String getGxPlanNo() {
		return gxPlanNo;
	}
	/**
     * 工序排产序号
     * @param target value
     */
	public void setGxPlanNo(String gxPlanNo) {
		this.gxPlanNo = gxPlanNo;
	}

	/**
     * 可操作支数
     * @return
     */
    public String getColNum() {
		return colNum;
	}
    
    /**
     * 可操作支数
     * @param colNum
     */
	public void setColNum(String colNum) {
		this.colNum = colNum;
	}
	
	public static long getSerialversionuid() {
		return serialVersionUID;
	}
}
